#include "exceptions.h"

RepoException::RepoException(const char* message){
    this->_message = message;
}

const char* RepoException::what() const noexcept {
    return this->_message;
}

AdminControllerException::AdminControllerException(const char* message){
    this->_message = message;
}

const char* AdminControllerException::what() const noexcept {
    return this->_message;
}

ValidatorException::ValidatorException(const char* message){
    this->_message = message;
}

const char* ValidatorException::what() const noexcept {
    return this->_message;
}